# -*- coding: utf-8 -*-

# Copyright (c) Pilot Systems, 2013

# This file is part of Faceted SeSQL.

# SeSQL is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# SeSQL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Faceted SeSQL.  If not, see <http://www.gnu.org/licenses/>.

from django import http
from django.shortcuts import render, render_to_response
from django.views.generic import DetailView

from models import *
from facets import pizza
from faceted_sesql.utils import faceted_from_request

def home(request):
    search = faceted_from_request(pizza, request)
    if request.is_ajax():
        return render(request, 'faceted/ajaxify.html', { 'search': search ,'results': search })
    return render(request, 'pizza/home.html', { 'search': search })

class PizzaView(DetailView):
    model = Pizza
    template_name = 'pizza/pizza.html'

class ShopView(DetailView):
    model = Shop
    template_name = 'pizza/shop.html'

